# Standard Token

An **ERC-20** token is a standard protocol for creating and implementing fungible tokens on the EVM kind of blockchain. This standard defines a set of rules and functions that EVM-based smart contracts should follow to enable the creation and management of tokens within the EVM ecosystem.

To generate your own standard token [click here](https://www.pinky.finance/launchpads/create-token).

### Smart Contract Methods

**Read methods:**

1. allowance
2. balanceOf
3. decimals
4. name
5. owner
6. symbol
7. totalSupply

**Write methods:**

1. approve
2. decreaseAllowance
3. increaseAllowance
4. renounceOwnership
5. transfer
6. transferFrom
7. transferOwnership

{% hint style="info" %}
This token as any other token is compatible with our Launchpad, and your tokens can be sold on our Launchpad!
{% endhint %}

{% content-ref url="/pages/9BWqeJsS9yKxiTR9IyTB" %}
[Services Fees](/about-us/services-fees.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinky.finance/token-types/standard-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
